import { z } from 'zod';

export const disease = z.object({
  id: z.number().int().positive(),
  link: z.string().optional(),
  type: z.string(),
  resource: z.string(),
  annotatorClassName: z.string(),
});
