import { GeneVariant } from '@/types/models';

export const GENE_VARIANTS_MOCK: GeneVariant[] = [
  {
    position: 162394349,
    originalDna: 'G',
    modifiedDna: 'A',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.162394349G>A:p.T240M',
    variantIdentifier: 'rs137853054',
  },
  {
    position: 161771219,
    originalDna: 'G',
    modifiedDna: 'A',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.161771219G>A:p.P437L',
    variantIdentifier: 'rs149953814',
  },
  {
    position: 162206852,
    originalDna: 'G',
    modifiedDna: 'A',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.162206852G>A:p.R275W',
    variantIdentifier: 'rs34424986',
  },
  {
    position: 162394349,
    originalDna: 'G',
    modifiedDna: 'C',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.162394349G>C:p.T240R',
    variantIdentifier: 'rs137853054',
  },
  {
    position: 161771171,
    originalDna: 'C',
    modifiedDna: 'T',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.161771171C>T:p.W453*',
    variantIdentifier: 'rs137853056',
  },
  {
    position: 162683694,
    originalDna: 'G',
    modifiedDna: 'A',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.162683694G>A:p.A92V',
    variantIdentifier: 'rs566229879',
  },
  {
    position: 162206914,
    originalDna: 'T',
    modifiedDna: 'C',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.162206914T>C:p.N254S',
    variantIdentifier: 'rs139600787',
  },
  {
    position: 162394349,
    originalDna: 'G',
    modifiedDna: 'C',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.162394349G>C:p.T240R',
    variantIdentifier: 'rs137853054',
  },
  {
    position: 162206825,
    originalDna: 'C',
    modifiedDna: 'G',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.162206825C>G:p.G284R',
    variantIdentifier: 'rs751037529',
  },
  {
    position: 162394338,
    originalDna: 'C',
    modifiedDna: 'T',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.162394338C>T:p.V244I',
    variantIdentifier: 'rs771259513',
  },
  {
    position: 161781201,
    originalDna: 'G',
    modifiedDna: 'A',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.161781201G>A:p.R402C',
    variantIdentifier: 'rs55830907',
  },
  {
    position: 162622239,
    originalDna: 'G',
    modifiedDna: 'C',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.162622239G>C:p.P153R',
    variantIdentifier: 'rs55654276',
  },
  {
    position: 161807855,
    originalDna: 'C',
    modifiedDna: 'G',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.161807855C>G:p.V380L',
    variantIdentifier: 'rs1801582',
  },
  {
    position: 161771237,
    originalDna: 'C',
    modifiedDna: 'A',
    contig: 'chr6',
    allelFrequency: 0.8,
    aminoAcidChange: 'PRKN:NC_000006.11:g.161771237C>A:p.C431F',
    variantIdentifier: 'rs397514694',
  },
];
