import { OverlayBioEntityRender } from '@/types/OLrendering';
import { OverlaysBioEntityState } from './overlayBioEntity.types';

export const OVERLAY_BIO_ENTITY_INITIAL_STATE_MOCK: OverlaysBioEntityState = {
  overlaysId: [],
  data: [],
};

export const MOCKED_OVERLAY_BIO_ENTITY_RENDER: OverlayBioEntityRender[] = [
  {
    type: 'rectangle',
    id: 1,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 3128.653195488725,
    y2: 3088.653195488725,
    overlayId: 11,
    height: 10,
    value: 0,
    color: null,
  },
  {
    type: 'rectangle',
    id: 2,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 3128.653195488725,
    y2: 3088.653195488725,
    overlayId: 11,
    height: 10,
    value: -0.2137,
    color: null,
  },
  {
    type: 'rectangle',
    id: 3,
    modelId: 52,
    width: 40,
    x1: 18412,
    x2: 18492,
    y1: 3128.653195488725,
    y2: 3088.653195488725,
    overlayId: 11,
    height: 10,
    value: null,
    color: { rgb: -65536, alpha: 0 },
  },
  {
    type: 'line',
    id: 66143,
    modelId: 52,
    x1: 4462.61826820353,
    x2: 4571.99387254902,
    y1: 7105.89040426431,
    y2: 6979.823529411765,
    width: 109.3756043454905,
    height: 126.06687485254497,
    value: null,
    overlayId: 20,
    color: null,
  },
  {
    type: 'line',
    id: 66144,
    modelId: 52,
    x1: 4454.850442288663,
    x2: 4463.773636826477,
    y1: 7068.434324866321,
    y2: 7112.188429617157,
    width: 8.923194537814197,
    height: 43.75410475083663,
    value: null,
    overlayId: 20,
    color: null,
  },
];

export const MOCKED_OVERLAY_SUBMAPS_LINKS_WITH_SAME_COLORS: OverlayBioEntityRender[] = [
  {
    type: 'rectangle',
    id: 1,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 3128.653195488725,
    y2: 3088.653195488725,
    overlayId: 12,
    height: 10,
    value: 0,
    color: null,
  },
  {
    type: 'submap-link',
    id: 97,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 2100.5,
    y2: 2000.5,
    overlayId: 12,
    height: 100,
    value: 23,
    color: null,
  },
  {
    type: 'submap-link',
    id: 97,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 2100.5,
    y2: 2000.5,
    overlayId: 12,
    height: 100,
    value: 23,
    color: null,
  },
  {
    type: 'submap-link',
    id: 97,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 2100.5,
    y2: 2000.5,
    overlayId: 12,
    height: 100,
    value: null,
    color: {
      alpha: 255,
      rgb: -2348283,
    },
  },
  {
    type: 'submap-link',
    id: 97,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 2100.5,
    y2: 2000.5,
    overlayId: 12,
    height: 100,
    value: null,
    color: {
      alpha: 255,
      rgb: -2348283,
    },
  },
];

export const MOCKED_OVERLAY_SUBMAPS_LINKS_WITH_DIFFERENT_COLORS: OverlayBioEntityRender[] = [
  {
    type: 'rectangle',
    id: 1,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 3128.653195488725,
    y2: 3088.653195488725,
    overlayId: 12,
    height: 10,
    value: 0,
    color: null,
  },
  {
    type: 'submap-link',
    id: 97,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 2100.5,
    y2: 2000.5,
    overlayId: 12,
    height: 100,
    value: 0.4,
    color: null,
  },
  {
    type: 'submap-link',
    id: 97,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 2100.5,
    y2: 2000.5,
    overlayId: 12,
    height: 100,
    value: 0.5,
    color: null,
  },
  {
    type: 'submap-link',
    id: 97,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 2100.5,
    y2: 2000.5,
    overlayId: 12,
    height: 100,
    value: 0.8,
    color: null,
  },

  {
    type: 'submap-link',
    id: 97,
    modelId: 52,
    width: 30,
    x1: 18412,
    x2: 18492,
    y1: 2100.5,
    y2: 2000.5,
    overlayId: 12,
    height: 100,
    value: null,
    color: {
      alpha: 255,
      rgb: -2348283,
    },
  },
];
